Get source changelog
Returns the source's tracked CHANGELOG.md (or the file selected by ?path=), sliced by characters (?offset=, ?limit=) or by a cl100k_base token budget (?tokens=). Page with nextOffset. Always includes the full files index so clients can render a file picker.
bearerAuthAuthorizationBearer <relk_… | relu_… | OAuth JWT>Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.
slug*stringpath?stringRepo path of the file to return, from files[].path. Defaults to the root CHANGELOG.
offset?integer0 <= valuelimit?integerSlice length in characters.
1 <= valuetokens?integerSlice to this many cl100k_base tokens instead of limit characters.
1 <= valueChangelog slice with file index
application/json- response
path*stringfilename*stringurl*stringrawUrl*stringcontent*stringbytes*integer0 <= value <= 9007199254740991fetchedAt*stringoffset*integer0 <= value <= 9007199254740991limit*integer0 <= value <= 9007199254740991nextOffset*|nulltotalChars*integer0 <= value <= 9007199254740991tokens?integer-9007199254740991 <= value <= 9007199254740991sliceTokens?integer-9007199254740991 <= value <= 9007199254740991totalTokens*integer0 <= value <= 9007199254740991truncated*booleantruncatedAt*|nullfiles*array<>curl -X GET 'https://api.releases.sh/v1/sources/string/changelog'{ "path": "string", "filename": "string", "url": "string", "rawUrl": "string", "content": "string", "bytes": 0, "fetchedAt": "string", "offset": 0, "limit": 0, "nextOffset": -9007199254740991, "totalChars": 0, "tokens": -9007199254740991, "sliceTokens": -9007199254740991, "totalTokens": 0, "truncated": true, "truncatedAt": -9007199254740991, "files": [ { "path": "string", "filename": "string", "url": "string", "bytes": 0, "fetchedAt": "string" } ]}Returns the source's tracked CHANGELOG.md (or the file selected by ?path=), sliced by characters (?offset=, ?limit=) or by a cl100k_base token budget (?tokens=). Page with nextOffset. Always includes the full files index so clients can render a file picker.
bearerAuthAuthorizationBearer <relk_… | relu_… | OAuth JWT>Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.
orgSlug*stringsourceSlug*stringpath?stringRepo path of the file to return, from files[].path. Defaults to the root CHANGELOG.
offset?integer0 <= valuelimit?integerSlice length in characters.
1 <= valuetokens?integerSlice to this many cl100k_base tokens instead of limit characters.
1 <= valueChangelog slice with file index
application/json- response
path*stringfilename*stringurl*stringrawUrl*stringcontent*stringbytes*integer0 <= value <= 9007199254740991fetchedAt*stringoffset*integer0 <= value <= 9007199254740991limit*integer0 <= value <= 9007199254740991nextOffset*|nulltotalChars*integer0 <= value <= 9007199254740991tokens?integer-9007199254740991 <= value <= 9007199254740991sliceTokens?integer-9007199254740991 <= value <= 9007199254740991totalTokens*integer0 <= value <= 9007199254740991truncated*booleantruncatedAt*|nullfiles*array<>curl -X GET 'https://api.releases.sh/v1/orgs/string/sources/string/changelog'{ "path": "string", "filename": "string", "url": "string", "rawUrl": "string", "content": "string", "bytes": 0, "fetchedAt": "string", "offset": 0, "limit": 0, "nextOffset": -9007199254740991, "totalChars": 0, "tokens": -9007199254740991, "sliceTokens": -9007199254740991, "totalTokens": 0, "truncated": true, "truncatedAt": -9007199254740991, "files": [ { "path": "string", "filename": "string", "url": "string", "bytes": 0, "fetchedAt": "string" } ]}